<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [research](./bitburner.officeapi.research.md)

## OfficeAPI.research() method

Purchase a research

**Signature:**

```typescript
research(divisionName: string, researchName: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  researchName | string | Name of the research |

**Returns:**

void

